Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AddressPropertyAddressTerminalAssociation

    java.lang.Object
      com.nortel.soa.oi.cct.types.AddressPropertyAddressTerminalAssociation

    public class AddressPropertyAddressTerminalAssociation

extends java.lang.Object

Java class for addressPropertyAddressTerminalAssociation complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="addressPropertyAddressTerminalAssociation">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="address" type="{http://www.nortel.com/soa/oi/cct/types}address"/>
             <element name="terminal" type="{http://www.nortel.com/soa/oi/cct/types}terminal"/>
             <element name="orderNo" type="{http://www.w3.org/2001/XMLSchema}long"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AddressPropertyAddressTerminalAssociation()`

Method Summary
`Address` | `getAddress()` Gets the value of the address property.
`long` | `getOrderNo()` Gets the value of the orderNo property.
`Terminal` | `getTerminal()` Gets the value of the terminal property.
`void` | `setAddress(Address value)` Sets the value of the address property.
`void` | `setOrderNo(long value)` Sets the value of the orderNo property.
`void` | `setTerminal(Terminal value)` Sets the value of the terminal property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressPropertyAddressTerminalAssociation

    public AddressPropertyAddressTerminalAssociation()

Method Detail

### getAddress

    public Address getAddress()

  Gets the value of the address property.

  Returns:
    possible object is `Address`

### setAddress

    public void setAddress(Address value)

  Sets the value of the address property.

  Parameters:
    `value` - allowed object is `Address`

### getTerminal

    public Terminal getTerminal()

  Gets the value of the terminal property.

  Returns:
    possible object is `Terminal`

### setTerminal

    public void setTerminal(Terminal value)

  Sets the value of the terminal property.

  Parameters:
    `value` - allowed object is `Terminal`

### getOrderNo

    public long getOrderNo()

  Gets the value of the orderNo property.

### setOrderNo

    public void setOrderNo(long value)

  Sets the value of the orderNo property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.